#include <iostream>
using namespace std;
int main(){
    int n, m;
    int nn[n][m];
    cin >> n >> m;
    for(int i=1; i<=n; i++){
        for (int j=1; j<=m; j++){
            cin >> nn[i][j];
        }
    }
    cout << -1;
    return 0;
}